> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Revenue Calculator

> Revenue Calculator (CPM)

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "earnings": {
      "cpm": 3,
      "cpmCurrency": "USD",
      "dailyViews": 10000,
      "weeklyViews": 70000,
      "monthlyViews": 300000,
      "annualViews": 3650000,
      "estDailyEarnings": 30,
      "estWeeklyEarnings": 210,
      "estMonthlyEarnings": 900,
      "projYearlyEarnings": 10950
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/youtube-revenue-calculator
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/youtube-revenue-calculator:
    get:
      tags:
        - Workflow
      description: Triggers the workflow youtube-revenue-calculator
      operationId: get_wf_youtube-revenue-calculator
      parameters:
        - name: dailyViews
          in: query
          required: true
          description: Expected Daily Views
          schema:
            type: number
            default: 10000
        - name: cpm
          in: query
          required: false
          description: In USD if no category specified, this will be used. Default `3`
          schema:
            type: number
            default: 3
        - name: category-id
          in: query
          required: false
          description: >-
            If no category specified, will use the CPM field. To get category id
            check [Categories](category-list)
          schema:
            type: number
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````